
Redmine - Defect #10679

git wrong repo name fetch when in reposit

2012-04-16 15:21 - Eugene Elementoff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.0

Description

Hello

I found a problem, when redmine is trying to access git repo by project name but not wich is specified in settings->repository

For example, i have project in redmine named Project1,

When i try to open repo tab, redmine shows me that Repository does not exists.

In mongrel log i see:

fatal: Not a git repository: '/var/git/repositories/Project1.git'

BUT in project settings, there is another specified path for repository -> /var/git/repositories/blablaProject1.git

and it exists!

all this worked fine before upgrade to 1.4.0 version

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.3

Rails version             2.3.1

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/redmine/redmine

Environment               production

Database adapter          postgresql

Database schema version   20120301153455

About your Redmine plugins

Redmine Gitosis plugin    0.0.5

Redmine Codebook plugin   0.3.1

History

#1 - 2012-04-16 15:58 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

#2 - 2012-04-16 16:02 - Eugene Elementoff

The gitosis plugin version is the same - before upgrade and after.

Why you think that problem is there? When on Redmine 1.1.3.stable it works fine.

#3 - 2012-04-16 16:05 - Toshi MARUYAMA

It seems this plug-in does not support #779.

#4 - 2012-04-16 16:13 - Eugene Elementoff

But there is only one Repository for that project.

All other projects with git repos worked fine.

#5 - 2012-04-16 16:19 - Toshi MARUYAMA

2025-05-03 1/2

https://www.redmine.org/issues/779


#779 refactored many implementing.
